--- title: "Get all clusters" slug: "get-all-clusters" tags: ["Product Usage", "vIPS 10.1.10"] updated: 2026-09-11T20:35:31Z published: 2026-09-11T20:35:31Z canonical: "docs.trellix.com/get-all-clusters" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get all clusters This URL gets all the clusters configured in the Manager. ## Resource URL GET /cluster ## Request Parameters None ## Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | success | Indicates if the GET operation was successful. Value is set to true if the GET operation is successful. Value is set to false if the GET operation is not successful. | string | | msg | Message if the GET operation is successful | string | | data | Details of the clusters | array of objects | Details of data object. | Field Name | Description | Data Type | | --- | --- | --- | | id | Cluster Id. The Id is specific to the Virtual IPS solution. | number | | name | Name of the cluster | string | | description | Description of the cluster | string | | sharedSensorKey | Shared key to be used by the Sensors that will be registered with this cluster | string | | subscriberId | Domain Id | number | | deviceClusterId | Device cluster Id | number | | updateDateTime | Last update time of the cluster | number | | updateUserName | Last user who modified the cluster | string | | memberCount | Number of Sensors in the cluster. Initially, the value is set to 0 for a new cluster. | number | | memberSensorSW | Sensor software version | string | | vidsId | Vids Id | number | ## Example **Request** GET [https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/cluster](https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/cluster) **Response** ``` {    "success": true,    "msg": null,    "data": [ {        "id": 3,        "name": "TestCluster",        "description": "Sample Cluster",        "sharedSensorKey": "7a4a7b462c2f5a454e792118591d5c5c",        "subscriberId": 0,        "deviceClusterId": 1003,        "updateDateTime": 1556170533000,        "updateUserName": "admin",        "memberCount": 0,        "memberSensorSW": null,        "vidsId": 106    } ] } ```